using System;

namespace NUnit.Extensions.Converter
{
	public class CoreConverter : Converter
	{
		private ConverterContext context = new ConverterContext();
		public override string ToString(object o)
		{
			if (o == null)
				return "(null)";
			String s = o as String;
			return s != null ? s : "" + o;
		}
		public override int ExpansionLevel
		{
			set { context.ExpansionLevel = value; }
		}
		public override ConverterContext Context
		{
			get { return context; }
		}
	}
}
