using System;

namespace NUnit.Extensions.Converter
{
	public class DefaultConverter : ConverterDecorator
	{
		private static Converter CreateConverter()
		{
			Converter converter;
			converter = new CoreConverter();
			converter = new CollectionConverter(converter);
			converter = new PropertyConverter(converter);
			return converter;
		}
		public DefaultConverter() : base(CreateConverter())
		{
		}
	}
}
