using System;

namespace NUnit.Extensions.Converter
{
	public class StringWrapper
	{
		private string str;
		public StringWrapper(string str)
		{
			this.str = str;
		}
		public override string ToString()
		{
			return str == null ? "(null)" : str;
		}
		public override bool Equals(object obj)
		{
			StringWrapper target = obj as StringWrapper;
			if (target == null)
				return false;
			if (str == null)
				return target.str == null;
			return str.Equals (target.str);
		}
		public override int GetHashCode()
		{
			return str == null ? 0 : str.GetHashCode();
		}
	}
}
