using System;

namespace NUnit.Extensions.Converter
{
	abstract public class Evaluator
	{
		public enum Priority
		{
			HIGH, LOW, MEDIUM,
		}

		protected Converter converter;
		protected Priority priority = Priority.MEDIUM;

		abstract public object Evaluate(object o, object key);

		public virtual Priority ThisPriority
		{
			get { return priority; }
		}

		public virtual void SetConverter(Converter converter)
		{
			this.converter = converter;
		}
	}
}
