using System;
using System.Collections;

namespace NUnit.Extensions.Converter
{
	public class Formatter
	{
		private Converter converter;
		public Formatter(Converter converter)
		{
			this.converter = converter;
		}
		public String Format(String formatStr, object param)
		{
			ArrayList convertedParams = new ArrayList();
			ICollection collection = param as ICollection;
			if (collection == null) 
			{
				convertedParams.Add(converter.ToString(param));
			} 
			else 
			{
				foreach(object o in collection) 
				{
					convertedParams.Add(converter.ToString(o));
				}
			}
			return String.Format(formatStr, convertedParams.ToArray()); 
		}
	}
}
